﻿.message-box-background {
    position: absolute;
    opacity: 0.9;
    background-color: #707173;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.message-box-outer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    z-index: 10005;
    text-align: center;
    transition: height 0.2s, opacity 0.5s ease-in;
    transition: height 0.1s, opacity 0.1s ease-out;
}

.message-box-container {
    user-select: none;
}

.message-box-inner-container {
    position: absolute;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: white;
    border: 2px solid black;
    border-radius: 2px;
    box-shadow: 1px 1px 1px darkgrey;
}

.message-box-inner-container-dimensions {
    max-width: 800px;
    max-height: 230px;
}

.message-box-title h1 {
    font-size: 20px;
    font-weight: bold;
}

.message-box-message span {
    font-size: 16px;
}

.message-box-container-buttons {
    display: flex;
    justify-content: center;
    position: absolute;
    width: 100%;
    bottom: 0;
    padding-top: 15px;
}

    .message-box-container-buttons button {
        margin: 15px;
    }